package main

import (
	"fmt"

	"darvaza.org/slog"
)

// fatal is a convenience wrapper for slog.Logger.Fatal().Print()
func fatal(err error, msg string, args ...any) {
	l := log.Fatal()
	if err != nil {
		l = l.WithField(slog.ErrorFieldName, err)
	}
	if len(args) > 0 {
		msg = fmt.Sprintf(msg, args...)
	}
	l.Print(msg)

	panic("unreachable")
}
